Diagrammnotizen
GET https://pico-analytics.com/api/annotations/
curl --request GET \
--url 'https://pico-analytics.com/api/annotations/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pico-analytics.com/api/annotations/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Details | Beschreibung |
|---|---|---|
| website_id | Optional Ganzzahl | |
| search | Optional Zeichenfolge | Der Suchtext. |
| search_by | Optional Zeichenfolge | Das Feld, in dem gesucht wird. Erlaubte Werte: name. |
| datetime_field | Optional Zeichenfolge | Erlaubte Werte: datetime, last_datetime, chart_datetime |
| datetime_start | Optional Zeichenfolge | Ergebnisse ab diesem Zeitpunkt filtern. Format: Y-m-d H:i:s. |
| datetime_end | Optional Zeichenfolge | Ergebnisse bis zu diesem Zeitpunkt filtern. Format: Y-m-d H:i:s. |
| order_by | Optional Zeichenfolge | Das Feld, nach dem die Ergebnisse sortiert werden. Erlaubte Werte: annotation_id, website_id, datetime, last_datetime, name, chart_datetime. |
| order_type | Optional Zeichenfolge | Die Sortierreihenfolge der Ergebnisse. Erlaubte Werte: ASC für aufsteigend und DESC für absteigend. |
| page | Optional Ganzzahl | Die Seitenzahl, für die du Ergebnisse abrufen möchtest. Standardmäßig 1. |
| results_per_page | Optional Ganzzahl | Anzahl der Ergebnisse pro Seite. Erlaubte Werte: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig 25. |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"chart_datetime": "2026-11-19 22:33:30",
"last_datetime": null,
"datetime": "2026-11-19 22:33:30"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://pico-analytics.com/api/annotations?page=1",
"last": "https://pico-analytics.com/api/annotations?page=1",
"next": null,
"prev": null,
"self": "https://pico-analytics.com/api/annotations?page=1"
}
}
GET https://pico-analytics.com/api/annotations/{annotation_id}
curl --request GET \
--url 'https://pico-analytics.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pico-analytics.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"chart_datetime": "2026-11-19 22:33:30",
"last_datetime": null,
"datetime": "2026-11-19 22:33:30"
}
}
POST https://pico-analytics.com/api/annotations
| Parameter | Details | Beschreibung |
|---|---|---|
| website_id | Erforderlich Ganzzahl | - |
| name | Erforderlich Zeichenfolge | - |
| chart_datetime | Erforderlich Zeichenfolge | Y-m-d H:i:s |
curl --request POST \
--url 'https://pico-analytics.com/api/annotations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'chart_datetime=2026-11-19 22:33:30' \
--url 'https://pico-analytics.com/api/annotations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'chart_datetime=2026-11-19 22:33:30' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"chart_datetime": "2026-11-19 22:33:30",
"last_datetime": null,
"datetime": "2026-11-19 22:33:30"
}
}
POST https://pico-analytics.com/api/annotations/{annotation_id}
| Parameter | Details | Beschreibung |
|---|---|---|
| website_id | Optional Ganzzahl | - |
| name | Optional Zeichenfolge | - |
| chart_datetime | Optional Zeichenfolge | Y-m-d H:i:s |
curl --request POST \
--url 'https://pico-analytics.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://pico-analytics.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"chart_datetime": "2026-11-19 22:33:30",
"last_datetime": "2026-11-19 22:33:30",
"datetime": "2026-11-19 22:33:30"
}
}
DELETE https://pico-analytics.com/api/annotations/{annotation_id}
curl --request DELETE \
--url 'https://pico-analytics.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pico-analytics.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \